package cn.estsh.i3plus.ext.mes.pcn.api.busi.ford;

import cn.estsh.i3plus.pojo.mes.bean.ford.MesFordFetchParameter;
import cn.estsh.i3plus.pojo.mes.bean.ford.MesFordJsaSortInfoWithFetchWeb;

import java.util.List;

public interface IFordFetchWebService {

    void insertParams(MesFordFetchParameter parameter);


    void updateParams(MesFordFetchParameter parameter);


    void deleteParams(Long id,String UserName);

    MesFordFetchParameter queryParams(Long id);

    List<MesFordFetchParameter> queryParams(String organizeCode);

    List<MesFordJsaSortInfoWithFetchWeb> doFetchData(Long id, String organizeCode);
}
